Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 724220 - www-apache/mod_common_redirect-0.1.1-r1: stabilisation then cleanup (was: stuck on ancient EAPI 4)
Summary: www-apache/mod_common_redirect-0.1.1-r1: stabilisation then cleanup (was: stu...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: CC-ARCHES, PullRequest
Depends on:
Blocks: EAPI4Removal
  Show dependency tree
 
Reported: 2020-05-19 23:07 UTC by Sam James
Modified: 2020-09-26 03:15 UTC (History)
0 users

See Also:
Package list:
www-apache/mod_common_redirect-0.1.1-r1
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-05-19 23:07:24 UTC
Needs port to newer EAPI.
Comment 1 Sam James archtester gentoo-dev Security 2020-09-07 23:21:39 UTC
PR was closed without merging by author.
Comment 2 Larry the Git Cow gentoo-dev 2020-09-25 23:03:48 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19091788afa73db48e6ec522e807ec6767dbbcfa

commit 19091788afa73db48e6ec522e807ec6767dbbcfa
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-09-25 23:01:40 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-25 23:03:42 +0000

    www-apache/mod_common_redirect: port EAPI 4->6
    
    We cannot go to EAPI 7 yet because of the apache-module
    and depend.apache eclasses.
    
    Bug: https://bugs.gentoo.org/724220
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Sam James <sam@gentoo.org>

 .../mod_common_redirect-0.1.1-r1.ebuild            | 30 ++++++++++++++++++++++
 1 file changed, 30 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2020-09-26 03:12:01 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df36db5b1f2f97edae1a31b399c4f9c5a5ce5484

commit df36db5b1f2f97edae1a31b399c4f9c5a5ce5484
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-09-26 03:09:59 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-26 03:11:40 +0000

    www-apache/mod_common_redirect: forward stable kw, cleanup
    
    Installed files are the same.
    
    Closes: https://bugs.gentoo.org/724220
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Sam James <sam@gentoo.org>

 .../mod_common_redirect-0.1.1-r1.ebuild            |  2 +-
 .../mod_common_redirect-0.1.1.ebuild               | 29 ----------------------
 2 files changed, 1 insertion(+), 30 deletions(-)